> For the complete documentation index, see [llms.txt](https://docs.wemix.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wemix.com/en/dapp-developer/api-reference/block-apis.md).

# Block APIs

### Get Block And Uncle Rewards by block number

#### URI

<table data-header-hidden><thead><tr><th width="147"></th><th></th></tr></thead><tbody><tr><td><strong>network</strong></td><td><strong>uri</strong></td></tr><tr><td><em>Mainnet</em></td><td>GET https://explorerapi.wemix.com/v1/blocks/{block_number}</td></tr><tr><td><em>Testnet</em></td><td>GET https://explorerapi.test.wemix.com/v1/blocks/{block_number}</td></tr></tbody></table>

#### **REQUEST PARAMETER**

* **HEADER**

| **key**   | **value** | **required** |
| --------- | --------- | ------------ |
| *api-key* | api-key   | true         |

#### REQUEST SAMPLE

```
GET https://explorerapi.wemix.com/v1/blocks/6029508
api-key: 1ba5e446edf1997f67b51bf9e60b3fbba6fa1bf84301115292805d7e24f43539
Content-Type: application/json
```

#### **RESPONSE PARAMETER**

<table data-header-hidden><thead><tr><th width="187"></th><th width="197"></th><th></th></tr></thead><tbody><tr><td><strong>key</strong></td><td><strong>type</strong></td><td><strong>value</strong></td></tr><tr><td><em>status</em></td><td>String</td><td>Status value of request</td></tr><tr><td><em>message</em></td><td>String</td><td>Message of request</td></tr><tr><td><em>results</em></td><td>Json</td><td>Result of request</td></tr><tr><td><em>results.data</em></td><td>List&#x3C;Object></td><td>List of data</td></tr><tr><td><em>results. data.timestamp</em></td><td>String</td><td>UTC time when the transaction occurred</td></tr><tr><td><em>results.data.miner</em></td><td>String</td><td>Address of block's miner</td></tr><tr><td><em>result.data.reward</em></td><td>String</td><td>Reward of block</td></tr><tr><td>results.data.fees</td><td>String</td><td>Fee used when block was created</td></tr><tr><td><em>results.data.block_number</em></td><td>Integer</td><td>Number of the block containing the transaction</td></tr><tr><td>results.data.mining_reward</td><td>String</td><td>Rewards specified when blocks are created (pmr)</td></tr></tbody></table>

#### **RESPONSE SAMPLE**

```
{
    "status": "200",
    "message": "success",
    "results": {
        "data": {
            "timestamp": "2022-12-28T21:51:44Z",
            "miner": "0x6ec14966480e3baf4c62a1f4532c95c42b07b9c9",
            "reward": "1000000000000000000",
            "fees": "0",
            "block_number": "6029508",
            "mining_reward": "1000000000000000000"
        }
    }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wemix.com/en/dapp-developer/api-reference/block-apis.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
